此内容没有您所选择的语言版本。
11.6. List Applications and Cartridges
Description
Get a list of all applications for the specified domain including all cartridges.
Method and URL Structure
| Method | URL Structure |
|---|---|
GET | /broker/rest/domain/:name/applications?include=cartridges |
Request Parameters
Not applicable
cURL Command Example
$ curl -X GET https://openshift.redhat.com/broker/rest/domains/mydomain/applications?include=cartridges --user user@example.com
JSON Response
The API returns a list of all applications and embedded cartridges. The related resource links returned by the API have been removed for brevity. See Chapter 11, Applications for a description of each response parameter associated with an application.
{
"api_version": 1.6,
"data": [
{
"aliases": [],
"app_url": "http://myapp-mydomain.rhcloud.com/",
"build_job_url": null,
"building_app": null,
"building_with": null,
"cartridges": [
{
"additional_gear_storage": 0,
"base_gear_storage": 1,
"collocated_with": [
"haproxy-1.4"
],
"current_scale": 1,
"description": "PHP is a general-purpose server-side scripting language originally designed for Web development to produce dynamic Web pages. Popular development frameworks include: CakePHP, Zend, Symfony, and Code Igniter.",
"display_name": "PHP 5.4",
"gear_profile": "medium",
"help_topics": {},
"license": "The PHP License, version 3.0",
"license_url": "http://www.php.net/license/3_0.txt",
"members": [
{
"explicit_role": null,
"from": [
{
"type": "domain",
"role": "admin"
}
],
"id": "520bd6bbdbd93c3dee00000d",
"name": "user@example.com",
"owner": true,
"role": "admin",
"type": "user"
}
],
"name": "myapp",
"scalable": true,
"ssh_url": "ssh://5213190e2587c8817a000121@myapp-mydomain.rhcloud.com"
}
],
"messages": [
{
"exit_code": 0,
"field": null,
"severity": "info",
"text": "Found 1 applications."
}
],
"status": "ok",
"supported_api_versions": [
1.0,
1.1,
1.2,
1.3,
1.4,
1.5,
1.6
],
"type": "applications",
"version": "1.6"
}